Subject: [dispatch] RFC 3680 extensibility

From: Christer Holmberg <[email-masked]>
Date: Fri, 11 Jun 2010 13:03:15 +0200

Hi,

Section 5.1 of RFC 3680 (reg event package) says:

"Other elements from different namespaces MAY be present for the
purposes of extensibility; elements or attributes from unknown
namespaces MUST be ignored."

However, there is no policy regarding whether the definition of these "other namespaces" needs to be done in IETF - only that they must be ignored if not supported.

3GPP has been discussing a couple of IMS specific cases, in which such extension elements/attributes could be used as solution (no decissions have been made yet), so the question is whether it would require IETF work.

Regards,

Christer

---

From: "WORLEY, Dale R (Dale)" <[email-masked]>
Date: Fri, 11 Jun 2010 12:06:29 -0400

________________________________________
From: [email-masked] [[email-masked]] On Behalf Of Christer Holmberg [[email-masked]]

3GPP has been discussing a couple of IMS specific cases, in which such extension elements/attributes could be used as solution (no decissions have been made yet), so the question is whether it would require IETF work.
________________________________________

The rule that unknown elements/attributes must be ignored covers you there, doesn't it?  If a non-3GPP system subscribes to an "extended" event package, it will ignore the extensions.

Dale

---

From: Gonzalo Camarillo <[email-masked]>
Date: Mon, 14 Jun 2010 09:42:20 +0300

Hi,

yes, I agree with Dale that, technically, the system is ready to handle
interoperability even in presence of unknown stuff... but the question
here is whether or not we have a policy that regulates the creation of
such extensions.

XML namespaces are not covered by RFC 5727. However, Section 4.2 of RFC
3863 specifies rules for registering extensions to the basic presence
information data format:

http://tools.ietf.org/html/rfc3863#section-4.2

Considering the spirit of RFC 5727 and the example above, a potential
policy could be to register reg-event extensions with the IANA using the
Specification Required policy defined in RFC 5226. In this case, this
would mean that the extension would be defined in a 3GPP spec and
revised by an expert who would be designated by the RAI ADs. The expert
reviewer would make sure that new extensions do not overlap with current
IETF work.

In any case, we would welcome further comments on this issue.

Thanks,

Gonzalo

On 11/06/2010 7:06 PM, WORLEY, Dale R (Dale) wrote:
> _______________________________________________
> dispatch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dispatch
>

---

From: "Andrew Allen" <[email-masked]>
Date: Mon, 14 Jun 2010 02:03:44 -0500

Gonzalo 

I would pretty much agree with this approach. Only thing I would add is that the expert reviewer should also verify that there is no implied Require option-tag i.e. that subscribers supporting the extension still can perform basic functionality with notifiers that do not support the extension otherwise I think we require new option-tags and that means standards track. 

Andrew

----- Original Message -----
From: Gonzalo Camarillo [mailto:[email-masked]]
Sent: Monday, June 14, 2010 02:42 AM
To: WORLEY, Dale R (Dale) <[email-masked]>
Cc: DISPATCH list <[email-masked]>
Subject: Re: [dispatch] RFC 3680 extensibility

Hi,

Thanks,

Gonzalo

---------------------------------------------------------------------
This transmission (including any attachments) may contain confidential information, privileged material (including material protected by the solicitor-client or other applicable privileges), or constitute non-public information. Any use of this information by anyone other than the intended recipient is prohibited. If you have received this transmission in error, please immediately reply to the sender and delete this information from your system. Use, dissemination, distribution, or reproduction of this transmission by unintended recipients is not authorized and may be unlawful.

---

From: Christer Holmberg <[email-masked]>
Date: Mon, 14 Jun 2010 11:17:28 +0200

Hi,

So, it would be the same policy as we have for info packages.

Thanks!

Regards,

Christer

> -----Original Message-----
> From: Gonzalo Camarillo 
> Sent: 14. kesäkuuta 2010 9:42
> To: WORLEY, Dale R (Dale)
> Cc: Christer Holmberg; DISPATCH list
> yes, I agree with Dale that, technically, the system is ready 
> to handle interoperability even in presence of unknown 
> stuff... but the question here is whether or not we have a 
> policy that regulates the creation of such extensions.
> 
> 3863 specifies rules for registering extensions to the basic 
> presence information data format:
> 
> Considering the spirit of RFC 5727 and the example above, a 
> potential policy could be to register reg-event extensions 
> with the IANA using the Specification Required policy defined 
> in RFC 5226. In this case, this would mean that the extension 
> would be defined in a 3GPP spec and revised by an expert who 
> would be designated by the RAI ADs. The expert reviewer would 
> make sure that new extensions do not overlap with current IETF work.
> 
> > From: [email-masked] [[email-masked]] 
> On Behalf 
> > Of Christer Holmberg [[email-masked]]
> > 
> > However, there is no policy regarding whether the 
> definition of these "other namespaces" needs to be done in 
> IETF - only that they must be ignored if not supported.
> > 
> > 3GPP has been discussing a couple of IMS specific cases, in 
> which such extension elements/attributes could be used as 
> solution (no decissions have been made yet), so the question 
> is whether it would require IETF work.
> > The rule that unknown elements/attributes must be ignored 
> covers you there, doesn't it?  If a non-3GPP system 
> subscribes to an "extended" event package, it will ignore the 
> extensions.
> > 
> > Dale